sleep(30)


tab = []
Dir["/RPi/ruby/bufor_#{Time.now.strftime('%Y-%m-%d')}_dane.txt"].each do |nazwa|
  tab << nazwa
end

puts "start"
puts "znalezione pliki: #{tab.inspect}"




tab.each do |nazwa|
  puts "przetwarzamy: #{nazwa}"
  x = File.basename(nazwa).split('.')[0].sub('_dane','')
  puts x

  out = File.new("/var/www/bufor/csv/temperatury_#{x}.csv",'w')
  out.print "data, t_160, t_144, t_128, t_112, t_96, t_80, t_64, t_48, t_32, t_16\r\n"
  n = 0
  File.foreach(nazwa) do |line|
    n = n + 1
    line.gsub!('=',';')
    t = line.split(';')
    if t[9].to_f + t[11].to_f + t[13].to_f + t[15].to_f + t[17].to_f + t[19].to_f + t[21].to_f + t[23].to_f + t[25].to_f + t[27].to_f == t[29].to_f then
      out.print "#{t[0]}-#{t[1]}-#{t[2]} #{t[3]}:#{t[4]},#{t[9]},#{t[11]},#{t[13]},#{t[15]},#{t[17]},#{t[19]},#{t[21]},#{t[23]},#{t[25]},#{t[27]}\r\n"
    end
  end
  out.close

  out = File.new("/var/www/bufor/csv/temp_avg_#{x}.csv",'w')
  out.print "data, temp_avg\r\n"
  n = 0
  File.foreach(nazwa) do |line|
    n = n + 1
    line.gsub!('=',';')
    t = line.split(';')
    if t[9].to_f + t[11].to_f + t[13].to_f + t[15].to_f + t[17].to_f + t[19].to_f + t[21].to_f + t[23].to_f + t[25].to_f + t[27].to_f == t[29].to_f then
      temp_avg = t[29].to_f / 10.0
      out.print "#{t[0]}-#{t[1]}-#{t[2]} #{t[3]}:#{t[4]},#{temp_avg}\r\n"
    end
  end
  out.close



  out = File.new("/var/www/bufor/csv/energia_#{x}.csv",'w')
  out.print "data, energia\r\n"
  n = 0
  File.foreach(nazwa) do |line|
    n = n + 1
    line.gsub!('=',';')
    t = line.split(';')
    if t[9].to_f + t[11].to_f + t[13].to_f + t[15].to_f + t[17].to_f + t[19].to_f + t[21].to_f + t[23].to_f + t[25].to_f + t[27].to_f == t[29].to_f then
      temperatura = t[29].to_f / 10.0
      temperatura = temperatura - 20
      cieplo = (4190 * 800) + (460 * 100)
      energia = cieplo * temperatura
      energia = energia / 3600000
      out.print "#{t[0]}-#{t[1]}-#{t[2]} #{t[3]}:#{t[4]},#{energia}\r\n"
    end
  end
  out.close
  
  napis = "ostatnia aktualizacja: #{Time.now.strftime('%Y-%m-%d <b>%H:%M</b>:%S')}<br>"
  napis = napis + "liczba pomiarow: #{n}<br>"
  template = File.read('/RPi/ruby/template_bufor.html')
  template.sub!('#######',"csv/temperatury_#{x}")
  template.sub!('*******',"csv/temp_avg_#{x}")
  template.sub!('%%%%%%%',"csv/energia_#{x}")
  template.gsub!('&&&&&&&',"png/#{x}")
  template.sub!('$$$$$$$',napis)
  html = File.open("/var/www/bufor/#{x}.htm",'w')
  html.puts template 
  html.close

end
